From 0a03d4c6a68aeaebe76adb2b6b923aa7f656b8f7 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Feb 17 2023 20:29:44 +0000
Subject: [PATCH 5/33] [marble]: upgrade to v22.12.2


now building all split packages, to allow proper version pinning

---

diff --git a/libre/marble/PKGBUILD b/libre/marble/PKGBUILD
index 6ceba0f..f256c3e 100644
--- a/libre/marble/PKGBUILD
+++ b/libre/marble/PKGBUILD
@@ -4,30 +4,44 @@
 # Contributor: Gustavo Alvarez <sl1pkn07@gmail.com>
 # Contributor: Balló György <ballogyor+arch at gmail dot com>
 # Contributor: bill-auger <bill-auger@programmer.net>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
 
 
 # parabola changes and rationale:
-#  - replaced qt5-webengine dependency with qt5-webkit
+#  - replaced 'qt5-webengine' dependency with 'qt5-webkit'
+#  - pin to 'marble-*' binaries to 'marble-common'
+#    Note: This is done to prevent breakage.
+#    Only 'marble-common' requires the change;
+#    but then 'marble-common' would need to be pinned
+#    to (require) it's clients, which is weird.
+#    For that reason, we build all split-packages.
 
 
 pkgbase=marble
-pkgname=(marble-common)
-pkgver=20.12.1
-pkgrel=2
+pkgname=(marble-common marble-qt marble-maps marble)
+pkgver=22.12.2
+pkgrel=1
 pkgrel+=.parabola1
-pkgdesc="Desktop Globe"
+pkgdesc='Desktop Globe'
 arch=(x86_64)
 arch+=(armv7h i686)
-url="https://www.kde.org/applications/system/marble"
+url='https://apps.kde.org/marble/'
 license=(GPL)
-makedepends=(extra-cmake-modules gpsd kdoctools knewstuff kparts krunner libwlocate phonon-qt5
+makedepends=(extra-cmake-modules gpsd kdoctools kparts krunner libwlocate phonon-qt5
              plasma-workspace qt5-serialport qt5-tools qt5-webengine shapelib protobuf)
-makedepends=(${makedepends[@]/qt5-webengine/qt5-webkit})
-source=("https://download.kde.org/stable/release-service/$pkgver/src/$pkgbase-$pkgver.tar.xz"{,.sig})
-sha256sums=('65c936ceefdd368494778e55a921f9d111e6fabab718b948f3f59ede5f446970'
-            'SKIP')
+makedepends=( ${makedepends[@]/qt5-webengine/qt5-webkit} )
+source=(https://download.kde.org/stable/release-service/$pkgver/src/$pkgbase-$pkgver.tar.xz{,.sig}
+        no-knewstuff.patch)
+sha256sums=('ed9a6aed3c5c5057cce25e28ac0e9eaf377d79d866375fa62a5ac072d4edda3a'
+            'SKIP'
+            '4718d89d5f0dc79969196ea7afc71bfd37ed9570c3e2718f0c54549bbb0991a1')
 validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7  # Albert Astals Cid <aacid@kde.org>
-              F23275E4BF10AFC1DF6914A6DBD2CE893E2D1C87) # Christoph Feck <cfeck@kde.org>
+              F23275E4BF10AFC1DF6914A6DBD2CE893E2D1C87  # Christoph Feck <cfeck@kde.org>
+              D81C0CB38EB725EF6691C385BB463350D6EF31EF) # Heiko Becker <heiko.becker@kde.org>
+
+prepare() {
+  patch -d $pkgbase-$pkgver -p1 < no-knewstuff.patch # Drop unused dependency
+}
 
 build() {
   cmake -B build -S $pkgbase-$pkgver \
@@ -35,6 +49,7 @@ build() {
     -DCMAKE_INSTALL_SYSCONFDIR=/etc \
     -DQT_PLUGINS_DIR=lib/qt/plugins \
     -DBUILD_TESTING=OFF \
+    -DBUILD_TOUCH=ON \
     -DBUILD_MARBLE_EXAMPLES=OFF \
     -DBUILD_MARBLE_TESTS=OFF \
     -DMOBILE=OFF
@@ -44,7 +59,7 @@ build() {
 package_marble-common() {
   pkgdesc='Common libraries and plugins for Marble'
   depends=(qt5-svg qt5-webengine phonon-qt5 protobuf)
-  depends=(${depends[@]/qt5-webengine/qt5-webkit})
+  depends=( ${depends[@]/qt5-webengine/qt5-webkit} )
   optdepends=('gpsd: GPS based geolocation'
               'libwlocate: WLAN based geolocation'
               'qt5-serialport: APRS plugin'
@@ -53,9 +68,43 @@ package_marble-common() {
   DESTDIR="$pkgdir" cmake --install build
   rm -r "$pkgdir"/usr/share/{config.kcfg,kxmlgui5,metainfo,plasma} \
         "$pkgdir"/usr/bin \
-        "$pkgdir"/usr/share/knsrcfiles \
-        "$pkgdir"/usr/lib/qt/{qml,plugins/*.so} \
+        "$pkgdir"/usr/lib/qt/{qml,plugins/*.so,plugins/kf5} \
         "$pkgdir"/usr/share/applications/{marble_geo.desktop,marble_worldwind.desktop,org.kde.marble*.desktop} \
-        "$pkgdir"/usr/share/kservices5/{marble_part.desktop,plasma*} \
+        "$pkgdir"/usr/share/kservices5/{plasma-*,marble_part.desktop} \
         "$pkgdir"/usr/share/locale/*/LC_MESSAGES/*.mo
 }
+
+package_marble-qt() {
+  pkgdesc+=' (Qt version)'
+  depends=(marble-common)
+
+  # pin to 'marble-common'
+  depends=( ${depends[*]/marble-common/marble-common=$pkgver} )
+
+  DESTDIR="$pkgdir" cmake --install build/src/apps/marble-qt
+}
+
+package_marble() {
+  depends=(marble-common kparts)
+  optdepends=('krunner: Krunner plugin')
+  groups=(kde-applications kde-education)
+
+  # pin to 'marble-common'
+  depends=( ${depends[*]/marble-common/marble-common=$pkgver} )
+
+  DESTDIR="$pkgdir" cmake --install build/src/apps/marble-kde
+  DESTDIR="$pkgdir" cmake --install build/src/plasma
+  DESTDIR="$pkgdir" cmake --install build/src/plasmarunner
+  DESTDIR="$pkgdir" cmake --install build/src/thumbnailer
+  rm -r "$pkgdir"/usr/share/{icons,doc}
+}
+
+package_marble-maps() {
+  pkgdesc='OpenStreetMap Navigation'
+  depends=(marble-common kirigami2)
+
+  # pin to 'marble-common'
+  depends=( ${depends[*]/marble-common/marble-common=$pkgver} )
+
+  DESTDIR="$pkgdir" cmake --install build/src/apps/marble-maps
+}
